package com.quansu.heifengwuliu.fragment

import android.view.LayoutInflater
import android.view.ViewGroup
import com.quansu.heifengwuliu.base.MBFragment
import com.quansu.heifengwuliu.databinding.FragmentMineBinding
import com.quansu.heifengwuliu.repository.MineRepository
import com.quansu.heifengwuliu.vmodel.MineVModel
import com.ysnows.base.base.BRepository

/**
 *Created by shihuiyun
 *on 2020/9/9
 */
class MineFragment : MBFragment<MineVModel, FragmentMineBinding>() {

    override fun binding(inflater: LayoutInflater, container: ViewGroup?): FragmentMineBinding {
        return FragmentMineBinding.inflate(layoutInflater)
    }

    override fun title(): String? {
        return null
    }

    override fun vmClass(): Class<MineVModel> {
        return MineVModel::class.java
    }

    override fun createRepository(): BRepository {
        return MineRepository()
    }

}
